#include <windows.h>

#include "menukeys.h"
#include "resource.h"


#ifdef __BORLANDC__
#   pragma argsused
#endif
BOOL CALLBACK MenuDlgProc(HWND hWnd, UINT Message, 
                          WPARAM wParam, LPARAM lParam)
{
    switch( Message ) {
        case WM_COMMAND:
            switch( wParam ) {
                case ID_CLEAN:
                    CleanMenuKeysWindow( hWnd );
                    DrawMenuBar( hWnd );
                    break;
                case IDCANCEL:
                    EndDialog( hWnd, 0 );
                    break;
            }
            break;
    }
    return FALSE;
}


#ifdef __BORLANDC__
#   pragma argsused
#endif
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE Previous,
        LPSTR CmdLine, int ShowCommand)
{
    DialogBox(hInstance, MAKEINTRESOURCE(IDD_MENUKEYS), 
                  NULL, MenuDlgProc );
    return 0;
}

